[KAMUI]
; Default video and display mode settings.
; Edit these to force all Kamui/Ninja screens to open
; in the specified video mode.
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·     ;         |     VGA     |     NTSC     |     PAL      |
VideoMode=1         ; Force VGA 640x480 (Default)          ;---------+-------------+--------------+--------------+
DisplayMode=0x1                                            ; 320x240 | N/A         | VidMode=0    | VidMode=2    |
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·     ;         |             | DspMode=0x4  | DspMode=0x6  |
                                                           ;---------+-------------+--------------+--------------+
;VideoMode=0        ; Force NTSC 640x480                   ; 640x240 | N/A         | VidMode=0    | VidMode=2    |
;DisplayMode=0x34                                          ;         |             | DspMode=0x14 | DspMode=0x16 |
                                                           ;---------+-------------+--------------+--------------+
;VideoMode=0        ; Force NTSC 640x240                   ; 640x480 | VidMode=1   | VidMode=0    | VidMode=2    |
;DisplayMode=0x14                                          ;         | DspMode=0x1 | DspMode=0x36 | DspMode=0x36 |
                                                           ;---------+-------------+--------------+--------------+
; Edit the following values to turn on/off
; anti-alias and dither display filters.
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·
AntiAlias=0         ; 1 = Anti-aliased
Dither=0            ; 1 = Dithered
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·


[HARDWARE]
; Sync Pulse Generator (SPG) clock settings.
; Edit these to generate either a correct composite
; (TV) or VGA signal.
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·
SPGClockMode=1      ; Clock 14.18MHz (for VGA)
;SPGClockMode=2     ; Clock 13.5MHz (for TV)
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·

; Set an exact SPG clock rate.  Do not edit.
;SPGClockSetting=1000

; Set 2.1 boards have only 8MB, keep this value 0.
EnableTexture16MB=0

; Allocate and free a Tile Accelerator (TA) buffer.
ReleaseTABuffer=1

;ARC1a30=?
;SwitchOffPLL=?


[RENDER]
; Turn on/off vertical blank waiting
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·
NoWaitFrameBuffer=0     ; 1 = Do not wait for vsync
;¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·´¯`·.¸¸.·

; Default sizes of triangle command buffers.
; If a complex scene generates too many tri-commands,
; Kamui will crash.  Edit these to increase buffers.
RegionSize  =0x0006000
ObjListSize =0x007a000
ISPParamSize=0x0180000
TSPParamSize=0x0180000

; End of vertex setting.  If TRUE, use a polling method
; to determine when the Triangle Accelerator (TA) is
; done, else rely on the TA hardware interrupt.
PoolingTAStatus=0

; Render timeout values (x 100us)
VertexTimeOut=1300
RenderTimeOut=2500
VSYNCTimeOut =2500

; How long to wait in loop looking for VSync signal.
; Has no effect unless signal is being missed.
VSYNCCount=1


[DEBUG]


[REG]
; The following SDRAM and PCI settings have been
; configured for the Set 2.1 board.  Do not edit.
;
SM_SDRAM_CFG_H=0x031522100    ;0x031200000
SM_SDRAM_CFG_L=0x0113020E2
FB_SDRAM_CFG_H=0x011522100    ;0x010200000
FB_SDRAM_CFG_L=0x010302022    ;0x010302023

;UPPERADDR    =0x000000040
;PCI_MODE     =0x000000003
;SDRAM_REFRESH=0x000000016    ;0x00000000C
;SM_AGEN_CFG_L=0x000000008
;SM_AGEN_CFG_H=0x0000001CC
;SM_IO_CFG    =0x000000001


[KAMEI]

; Internal Kamui debug settings.
RegionArrayDirection=0xB    ;0x13
DumpMemory=0

; FastTA is an old software triangle accelerator.
; It is not faster than the hardware TA and no longer
; works with Kamui
EnableFastTA=0